Bug 465867 - Input Method (SCIM) does not work with non KDE applications like Thunderbird
Input Method (SCIM) does not work with non KDE applications like Thunderbird
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kdebase (Show other bugs)
9
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Kevin Kofler
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-06 16:21 EDT by Syam
Modified: 2010-12-07 13:42 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-06 11:24:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Syam 2008-10-06 16:21:23 EDT
Description of problem:

SCIM Input Method does not work with non-KDE applications like Thunderbird, Firefox, OpenOffice.org writer etc. It works with the same applications in GNOME, and other KDE apps and Qt3 apps (like akregator, Opera).

I have the following packages installed:

scim.i386                                1.4.7-24.fc9           installed
scim-bridge.i386                         0.4.15-8.fc9           installed
scim-bridge-gtk.i386                     0.4.15-8.fc9           installed
scim-bridge-qt.i386                      0.4.15-8.fc9           installed
scim-bridge-qt3.i386                     0.4.15-8.fc9           installed
scim-gtk.i386                            1.4.7-24.fc9           installed
scim-lang-malayalam.i386                 1.4.7-24.fc9           installed
scim-libs.i386                           1.4.7-24.fc9           installed
scim-m17n.i386                           0.2.2-3.fc9            installed
scim-qtimm.i386                          0.9.4-10.fc9           installed
scim-tables.i386                         0.5.8-5.fc9            installed

imsettings.i386                          0.101.3-2.fc9          installed       
imsettings-libs.i386                     0.101.3-2.fc9          installed       
im-chooser.i386                          1.2.0-1.fc9            installed       

kdebase.i386                             6:4.1.1-1.fc9          installed       
kdebase-libs.i386                        6:4.1.1-1.fc9          installed  
kdelibs.i386                             6:4.1.1-12.fc9         installed
kdelibs-common.i386                      6:4.1.1-12.fc9         installed
kdelibs-devel.i386                       6:4.1.1-12.fc9         installed
kdelibs3.i386                            3.5.10-1.fc9           installed



Steps to Reproduce:
1. Enable input method (and choose SCIM) in KDE
2. Logout and log back in
3. Try using SCIM in KWrite, *it works*
4. Try using SCIM in thunderbird/OOo writer etc. it *does not* work
  
Actual results:
Pressing Ctrl+Space does not bring up SCIM for non-KDE applications.


Expected results:
When Ctrl+Space (or whatever configured hot key) is pressed for an app, SCIM is supposed to be ativated.
Comment 1 Syam 2008-10-06 16:33:21 EDT
Oops.. I just found this bug report: https://bugzilla.redhat.com/show_bug.cgi?id=459889
and this: https://bugzilla.redhat.com/show_bug.cgi?id=457635

Doing this from Konsole does make SCIM work with thunderbird:
export GTK_IM_MODULE=scim-bridge; thunderbird

So, I guess this will be fixed in F10. Please close if that's the case.
Comment 2 Steven M. Parrish 2009-02-06 10:34:16 EST
Is this still an issue now that F10 is out?
Comment 3 Syam 2009-02-06 11:24:36 EST
Oh.. it works beautifully with F10. I'm closing with CURRENTRELEASE. Hope that's right.

Note You need to log in before you can comment on or make changes to this bug.